import { Injectable } from '@angular/core';
import {DataSourceService} from '../../services/data-source.service';
import {
  ObservationTable,
} from '@nspop/gm-web-facade-api';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class ClinicalObservationsServiceService {
  constructor(private dataSourceService: DataSourceService) {
  }
  public observationGroups: Observable<ObservationTable | undefined> =
    this.dataSourceService.clinicalObservationTable$;
}
